Name:           maven-plugin-testing-harness
Version:        2.0
Release:        2
Summary:        The Maven Plugin Testing Harness provides mechanisms to manage tests on Mojos

Group:          Development/Java
License:        ASL 2.0
URL:            http://maven.apache.org/plugin-testing/maven-plugin-testing-harness/
Source0:        %{name}-%{version}.tar.xz

BuildRequires:  maven2
BuildRequires:  maven-clean-plugin
BuildRequires:  maven-compiler-plugin
BuildRequires:  maven-install-plugin
BuildRequires:  maven-jar-plugin
BuildRequires:  maven-plugin-plugin
BuildRequires:  maven-resources-plugin
BuildRequires:	maven-plugin-testing
BuildRequires:	java-1.7.0-openjdk-devel

Requires:       jpackage-utils
Requires:       maven2
Requires(post): jpackage-utils
Requires(postun): jpackage-utils

BuildArch: noarch

%description
The Maven Plugin Testing Harness provides mechanisms to manage tests on Mojos, 
i.e. by pre-constructing the Plexus components, providing stub objects for
Maven functionality such as projects, and populating fields from an XML file
that resembles the plugin configuration in the POM.
 
%package javadoc
Group:          Development/Java
Summary:        Javadoc for %{name}
Requires:       %{name} = %{version}-%{release}
Requires:       jpackage-utils

%description javadoc
API documentation for %{name}.

%prep
%setup -q

%build
mvn -Dmaven.test.skip=true \
        install javadoc:javadoc

%install

# jars
install -d -m 0755 %{buildroot}%{_javadir}
install -m 644 target/%{name}-%{version}.jar   %{buildroot}%{_javadir}/%{name}-%{version}.jar

(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; \
    do ln -sf ${jar} `echo $jar| sed "s|-%{version}||g"`; done)

%add_to_maven_depmap org.apache.maven.plugins maven-plugin-testing-harness %{version} JPP maven-plugin-testing-harness

# poms
install -d -m 755 %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml \
    %{buildroot}%{_mavenpomdir}/JPP-%{name}.pom

# javadoc
install -d -m 0755 %{buildroot}%{_javadocdir}/%{name}-%{version}
cp -pr target/site/api*/* %{buildroot}%{_javadocdir}/%{name}-%{version}/
ln -s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name}
rm -rf target/site/api*

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%{_javadir}/%{name}.jar
%{_javadir}/%{name}-%{version}.jar
%{_mavenpomdir}/JPP-%{name}.pom
%{_mavendepmapfragdir}/%{name}

%files javadoc
%{_javadocdir}/%{name}-%{version}
%{_javadocdir}/%{name}

%changelog
* Fri Jun 27 2014 Alex Burmashev <alex.burmashev@rosalab.ru> 2.0-2
+ Revision: b342a10
- MassBuild#440: Increase release tag


